Summary:        graylog-sidecar
License:        Server Side Public License v1

Name:           graylog-sidecar
Version:        1.4.0
Release:        1
URL:            https://github.com/Graylog2/collector-sidecar
#Source0:       https://github.com/Graylog2/collector-sidecar/archive/refs/tags/%{version}.tar.gz

BuildRequires:  golang make automake unzip git

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
graylog-sidecar agent


%build
export GOPATH=/tmp/go
mkdir -p ${GOPATH}/src/github.com/Graylog2
cd ${GOPATH}/src/github.com/Graylog2
git clone https://github.com/Graylog2/collector-sidecar.git
cd collector-sidecar
git checkout %{version}
make

%install
mkdir -p %{buildroot}%{_bindir}
mv /tmp/go/src/github.com/Graylog2/collector-sidecar/%{name} %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/graylog/sidecar
mv /tmp/go/src/github.com/Graylog2/collector-sidecar/sidecar-example.yml %{buildroot}%{_sysconfdir}/graylog/sidecar/sidecar.yml

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/graylog/sidecar/sidecar.yml


%changelog
